{% include 'admin-layout.html' %}
{% from 'bootstrap/form.html' import render_form, render_field, render_form_row %}
{% block content %}


<div class="container-fluid">
  <div class="row mt-2">

    <div class="col-6 mb-4">

      <!-- Approach -->
      <div class="card shadow mb-4">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Model Parameters</h6>
        </div>
        <div class="card-body">
          {{ render_form(parameter_form) }}
        </div>
      </div>


    </div>

    <div class="col-6 mb-4">

      <!-- Approach -->
      <div class="card shadow mb-4">
        <div class="card-header py-3">
          <h6 class="m-0 font-weight-bold text-primary">Instructions</h6>
        </div>
        <div class="card-body">
          <h5 class="card-title">Model Upload and Endpoints</h5>

          <p class="card-text">
            Upload the model in the Jupyter Lab directly into the shared directory path and give the model name on the
            left tab.
          </p>

          <p class="card-text">
            In addition to the pipeline, two different endpoints will be available:
          </p>

          <ol class="card-text">
            <li>
              <strong>/instruct</strong><br>
              Send a post request with a message formatted like this example:
              <pre>
                <code>
                {
                  "system_message": "You are a helpful assistant",
                  "user_message": "Write me a recipe for lasagna",
                  "max_tokens": 500
                }
                </code>
              </pre>
            </li>

            <li>
              <strong>/chat</strong><br>
              Send a post request with a message formatted like this example:
              <pre>
                <code>
                [
                  {
                    "role": "system",
                    "content": "You are a story writing assistant."
                  },
                  {
                    "role": "user",
                    "content": "Write a story about China."
                  }
                ]
                </code>
              </pre>
            </li>
          </ol>
        </div>
      </div>
    </div>


  </div>


</div>
</div>

{% endblock %}
<!-- Bootstrap core JavaScript-->
<script src="static/vendor/jquery/jquery.min.js"></script>
<script src="static/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

<!-- Core plugin JavaScript-->
<script src="static/vendor/jquery-easing/jquery.easing.min.js"></script>

<!-- Custom scripts for all pages-->
<script src="static/js/sb-admin-2.min.js"></script>

</body>